//main.c


#include <stdio.h>
#include "mb12xx.h"

#define _slave_addr	0x70

//
SENS_RADIUS	radius;

int main(void)
{
	//
	int		dist;
	char		gd;
	printf("MB1242 - Testing...\n");
	printf("Input mode for 5V:\n");
	printf("1 = diagremm A\n");
	printf("2 = diagremm B\n");
	printf("3 = diagremm C\n");
	printf("4 = diagremm D\n");
	printf("?");
	gd = getchar();
	switch(gd)
	{
		case '1':
			radius.type_diagramm = _type_diagramm_MB1242_A50;
			break;
		case '2':
			radius.type_diagramm = _type_diagramm_MB1242_B50;
			break;
		case '3':
			radius.type_diagramm = _type_diagramm_MB1242_C50;
			break;
		case '4':
			radius.type_diagramm = _type_diagramm_MB1242_D50;
			break;
		default:
			radius.type_diagramm = _type_diagramm_MB1242_D50;
			break;
	}
	while(1)
	{
		//dist	= mb1242read_sensor(_slave_addr);
		dist	= mb1242read_sensorR(_slave_addr, &radius);
		if(dist < 0)
			printf("---------------- ERROR work of MB1242 error code: %i\n", dist);
		else
			printf("-- diagramm %i   distance %i radius %i ------ \"Cnrl+c\" for exit \n", radius.type_diagramm, dist, radius.radius);
	}

	return 0;
}

